curl --request GET \
--url https://eu.sequencehq.com/api/credit-grants \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/credit-grants"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/credit-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.sequencehq.com/api/credit-grants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.sequencehq.com/api/credit-grants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.sequencehq.com/api/credit-grants")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.sequencehq.com/api/credit-grants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231a0",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Monthly usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"metricId": "f092246c-6b90-4106-bcca-304ccf06bf45",
"amount": 100,
"availableBalance": 79.35,
"state": {
"issuance": "ISSUED",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"sourceGrantId": "0199ca8a-e7e8-73b3-bd69-a316a2323100",
"restrictToPrices": [
"0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"
],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231b1",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Next month's usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 0,
"state": {
"issuance": "ISSUED",
"validity": "SCHEDULED"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-02-01",
"expiryDate": "2026-02-28",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"restrictToPrices": [
"0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"
],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231c2",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Prepaid credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 0,
"state": {
"issuance": "PENDING",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"restrictToPrices": [
"0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"
],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231d3",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "CUSTOMER",
"name": "Goodwill credit",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 79.35,
"state": {
"issuance": "ISSUED",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "NONE",
"billingFrequency": "ONE_TIME",
"rolloverMode": "NONE",
"restrictToPrices": [],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
}
],
"pagination": {
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
}This response has no body data.This response has no body data.This response has no body data.List credit grants
List credit grants on your account, whether held by a customer or on one of their billing schedules, newest first by default. Filter by billing schedule or customer, and use the pagination cursors to retrieve more results. Includes scheduled, unissued, depleted and expired grants. Issuance and validity are reported in state; availableBalance reports the credit usable now. Usage awaiting processing is not yet deducted from availableBalance.
curl --request GET \
--url https://eu.sequencehq.com/api/credit-grants \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/credit-grants"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/credit-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.sequencehq.com/api/credit-grants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.sequencehq.com/api/credit-grants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.sequencehq.com/api/credit-grants")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.sequencehq.com/api/credit-grants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231a0",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Monthly usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"metricId": "f092246c-6b90-4106-bcca-304ccf06bf45",
"amount": 100,
"availableBalance": 79.35,
"state": {
"issuance": "ISSUED",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"sourceGrantId": "0199ca8a-e7e8-73b3-bd69-a316a2323100",
"restrictToPrices": [
"0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"
],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231b1",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Next month's usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 0,
"state": {
"issuance": "ISSUED",
"validity": "SCHEDULED"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-02-01",
"expiryDate": "2026-02-28",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"restrictToPrices": [
"0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"
],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231c2",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Prepaid credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 0,
"state": {
"issuance": "PENDING",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"restrictToPrices": [
"0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"
],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231d3",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "CUSTOMER",
"name": "Goodwill credit",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 79.35,
"state": {
"issuance": "ISSUED",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "NONE",
"billingFrequency": "ONE_TIME",
"rolloverMode": "NONE",
"restrictToPrices": [],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
}
],
"pagination": {
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
}This response has no body data.This response has no body data.This response has no body data.Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Return only the grants belonging to this billing schedule. Customer grants are never included.
Return only the grants held by this customer: those held by the customer directly and those on any of their billing schedules.
Maximum number of grants per page, from 1 to 100. Defaults to 20.
Cursor for the next page, from pagination.after. Omit for the first page. Use either after or before, not both.
Cursor for the previous page, from pagination.before. Omit for the first page. Use either after or before, not both.
Order by creation date: DESC for newest first, ASC for oldest first. Defaults to DESC.
Response
OK
Credit grants on this page, held by a customer or on a billing schedule.
Show child attributes
Show child attributes
[
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231a0",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Monthly usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"metricId": "f092246c-6b90-4106-bcca-304ccf06bf45",
"amount": 100,
"availableBalance": 79.35,
"state": {
"issuance": "ISSUED",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"sourceGrantId": "0199ca8a-e7e8-73b3-bd69-a316a2323100",
"restrictToPrices": ["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231b1",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Next month's usage credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 0,
"state": {
"issuance": "ISSUED",
"validity": "SCHEDULED"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-02-01",
"expiryDate": "2026-02-28",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"restrictToPrices": ["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231c2",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "SCHEDULE",
"billingScheduleId": "0199ca86-560e-7ac4-999f-bee364f7e4e7",
"phaseId": "0199ca87-6d80-7836-aa09-10386a08d761",
"name": "Prepaid credits",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 0,
"state": {
"issuance": "PENDING",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "MONTHLY",
"billingFrequency": "MONTHLY",
"rolloverMode": "NONE",
"restrictToPrices": ["0199ca89-2d9e-7e3d-914c-7de86e8fc7ce"],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
},
{
"id": "0199ca8a-e7e8-73b3-bd69-a316a23231d3",
"sequenceAccountId": "dce9ae85-d8d0-42b4-bcad-f221a64363c6",
"customerId": "61b083e0-1faa-47ca-9aeb-6205da8f6c47",
"scope": "CUSTOMER",
"name": "Goodwill credit",
"creditUnitType": "CURRENCY",
"currency": "GBP",
"amount": 100,
"availableBalance": 79.35,
"state": {
"issuance": "ISSUED",
"validity": "CURRENT"
},
"costOfCredit": 100,
"taxRateId": "179d1ab3-cc96-48e2-9310-067b0b42d47c",
"effectiveDate": "2026-01-01",
"expiryDate": "2026-01-31",
"createdAt": "2026-01-01T10:00:00Z",
"updatedAt": "2026-01-01T10:00:00Z",
"grantRefreshFrequency": "NONE",
"billingFrequency": "ONE_TIME",
"rolloverMode": "NONE",
"restrictToPrices": [],
"integrationIds": [
{
"service": "Xero",
"id": "74ed2615-4730-49ab-9445-74f31723a206",
"isPending": false
}
]
}
]
Results pagination
Show child attributes
Show child attributes
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}